<template>
  <div :class="[$style.tag, $style[theme]]">
    <slot></slot>
  </div>
</template>

<script lang="ts">
import Vue, { PropType } from "vue";
enum TagTypes {
  primary = "primary",
  danger = "danger"
}
export default Vue.extend({
  name: "BaseTag",
  props: {
    theme: {
      type: String as PropType<TagTypes>,
      required: false,
      validator: (value: string) => {
        const acceptableValues = ["primary", "danger"];
        return acceptableValues.includes(value) ? true : false;
      }
    }
  }
});
</script>

<style module lang="scss">
.tag {
  composes: border-radius--default;
  padding: 0.3rem 0.8rem;
  color: white;
  text-align: center;
  font-size: 0.8rem;
  cursor: pointer;
}
.primary {
  background-color: $color--primary;
}
.danger {
  background-color: $color--danger;
}
.default {
  background-color: $color--light-gray;
}
</style>
